<?php

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
//-----------　　PDFmakePHP　　-----------
//   (C)Copyright 2001 by Chama.ne.jp
//       E-mail:master@chama.ne.jp
//       URL:http://www.chama.ne.jp/
//
//ご利用頂く時はChamaNetの免責事項の同意が必要です。
//詳しくは、ChamaNetサイト又はReadme.txtをお読み下さい。
//
//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
class Dataset{
	var $data_dir = './data/';
	}
class Kihon{
	public static function kihonin(){
		$dataset = new Dataset();
		$kihonfile = $dataset -> data_dir.'kihon.dat';
		$kihonhandle = fopen($kihonfile,'r');
		$kihondata = fgetcsv($kihonhandle,1024);
		fclose($kihonhandle);
		return($kihondata);
	}
	public static function unhtml($val){
		$val = str_replace('&','&amp;',$val);
		$val = str_replace('"','&quot;',$val);
		$val = str_replace('<','&lt;',$val);
		$val = str_replace('>','&gt;',$val);
		return($val);
	}
	public static function yymmdd($timestamp){
		//date_default_timezone_set('Asia/Tokyo');
		$yymmdd = strftime('%D',$timestamp);
		$hhmmss = strftime('%T',$timestamp);
		$week = strftime('%A',$timestamp);
		$yymmdd = date("Y",$timestamp)."年".date("m月d日",$timestamp);
		$hhmmss = date("G:i:s",$timestamp);
		$week = array("日","月","火","水","木","金","土");
		$weekcnt = date("w",$timestamp);
		$reweek = "（".$week[$weekcnt]."）";
		$ymdhmsw = array($yymmdd,$hhmmss,$reweek);
		return $ymdhmsw;
	}
	public static function onein($openfile){
		if(file_exists($openfile)){
			$loadhandle = fopen($openfile,'r');
			$returndatas = fgetcsv($loadhandle,1024);
			fclose($loadhandle);
			if($returndatas){
				$returndata = join("<BR>",$returndatas);
			}else{
				$returndata = '';
			}
		}else{
			$returndata = '';
		}
		return($returndata);
	}
	public static function arrayin($file,$length = 4096){
		$fp = fopen($file, "r");
		$list = array();
		while(!feof($fp)){
			$ret = fgets($fp,$length);
			$ret = chop($ret);
			array_push($list,$ret);
		}
		fclose($fp);
		return($list);
	}
}
?>